Skip to content
View Markdown

Register an actor endpoint

POST/v1/actor
POST
/v1/actor
curl --request POST \
--url https://api.wabe.sh/v1/actor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "chat", "endpoint": "https://chat.example.com/wabe", "endpointSecret": "replace_with_a_random_base64url_secret" }'

Register your HTTPS handler. Supply an existing disk only when you also want a fixed-disk public invocation URL.

Media typeapplication/json
object
name
required
string
/^[A-Za-z0-9_-]{1,128}$/
disk

Optional default disk for the public invocation URL.

string
/^[A-Za-z0-9_-]{1,128}$/
endpoint
required

Public HTTPS endpoint with a DNS hostname. A path is allowed. Omit credentials, query and fragment.

string format: uri
endpointSecret
required

Shared secret used to authenticate the Wabe broker to your handler.

string
/^[A-Za-z0-9_-]{32,256}$/

Example

{
"name": "chat",
"endpoint": "https://chat.example.com/wabe",
"endpointSecret": "replace_with_a_random_base64url_secret"
}

Actor registered.

Media typeapplication/json
object
id
required
string format: uuid

Example

779742ad-cd09-4e1c-9170-f20968b344d4
name
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

chat
disk

Optional default disk for the public invocation URL.

string
/^[A-Za-z0-9_-]{1,128}$/

Example

chat-state
endpoint
required
string format: uri

Example

https://chat.example.com/wabe
fetchUrlTemplate
required
string

Example

https://api.wabe.sh/v1/actor/chat/disks/{disk}/instances/{instance}/fetch

Invalid registration.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Missing, invalid or revoked project API key.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Disk not found in this project.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Registration name already exists in this project.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Actor API temporarily unavailable.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string